## upx-nrv 3.05

=== debian/changelog ===
upx-nrv (3.05-1) unstable; urgency=low

  * New upstream release.
  * Stop using dbs (closes: #576058), switch to the `3.0 (quilt)' source
    format and dpatch for managing per-architecture patches:
    + create fake upstream tarball with a real per-architecture tarballs
      attached as additional components.
    + add 00-setupdir.dpatch for setting up current archotecture symlink
    + rename 00_documentation.patch to 02-documentation.dpatch
    + rename 01_man_hyphens.patch to 03-man_hyphens.dpatch
  * Add lintian overrides for:
    + `E: upx-nrv: embedded-zlib ./usr/bin/upx-nrv' as the binary file
       is precompiled by upstream;
    + `W: upx-nrv source: more-than-one-patch-system' as the `3.0 (quilt)'
       built-in patch system lacks features that can be found in dpatch,
       and there's no `3.0 (dpatch)' format (yet?).
  * Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 12 Jun 2010 21:47:19 +0200

upx-nrv (3.04-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.3 (no changes).
  * Register docs in doc-base (lintian).

 -- Robert Luberda <robert@debian.org>  Fri, 16 Oct 2009 14:17:37 +0200

upx-nrv (3.03-2) unstable; urgency=low

  * Upload to unstable.
  * Standards-Version: 3.8.0.
  * debian/compat: switch to v7.
  * Remove source lintian override.

 -- Robert Luberda <robert@debian.org>  Mon, 09 Mar 2009 08:54:30 +0100

upx-nrv (3.03-1) experimental; urgency=low

  * New upstream release.
  * 01_man_hyphens.patch: updated.
  * Add simple debian/README.source (renamed from debian/README.build).

 -- Robert Luberda <robert@debian.org>  Tue, 29 Apr 2008 22:03:27 +0200

upx-nrv (3.02-2) experimental; urgency=low

  * Merge changes from 3.01-2.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Apr 2008 09:41:14 +0200

upx-nrv (3.02-1) experimental; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * Move homepage url from Description to its own field.
  * Add armeb and mipsel to valid architectures.
  * 01_man_hyphens.patch: fix lintian's `hyphen-used-as-minus-sign'.
  * Minor fixes in build process.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Jan 2008 10:01:53 +0100

upx-nrv (3.01-2) unstable; urgency=low

  * Merge a few changes from experimental:
    + Standards-Version: 3.7.3 (no changes).
    + Move homepage url from Description to its own field.
    + 01_man_hyphens.patch: fix lintian's `hyphen-used-as-minus-sign'.
    + Minor fixes in build process.
  * Build wih debhelper v6.

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 11:36:49 +0200

upx-nrv (3.01-1) unstable; urgency=low

  * New upstream version.
  * Update debian/watch.

 -- Robert Luberda <robert@debian.org>  Sat, 11 Aug 2007 12:59:58 +0200

upx-nrv (3.00-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2007 13:40:15 +0200

upx-nrv (2.03-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Apr 2007 23:44:17 +0200

upx-nrv (2.03-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:37:40 +0100

upx-nrv (2.01-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 13 Jun 2006 22:29:15 +0200

upx-nrv (2.00-1) unstable; urgency=low

  * New upstream version:
    + support for a few new executable formats, like arm/pe, linux elf/amd64,
      linux elf/ppc32, mach/ppc32, bootable Linux kernels ("vmlinuz/386"),
      Playstation exes ("ps1/exe")
    + new options for compression tuning (e.g. '--brute')
    + improved win32/pe compatibility
    + direct ELF-to-memory decompression.
  * Add amd64 and poweprc to architectures, since upstream now provides
    pre-compiled upx for those archs.
  * Switch to dbs and debhelper v5.
  * Use ${shlibs:Depends} instead of hardcoding the libc6 dependency.
  * Standards-Version: 3.7.0 (no changes).
  * Update debian/watch.

 -- Robert Luberda <robert@debian.org>  Tue,  2 May 2006 18:20:08 +0200

upx-nrv (1.25-2) unstable; urgency=low

  * Fixed syntax of debian/watch.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Jul 2004 00:00:58 +0200

upx-nrv (1.25-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.6.1 (no changes needed).
  * debian/copyright: refer to /usr/share/c-l/GPL (lintian).
  * debian/watch: new file for uscan(1).
  * Add link to homepage to binary package description.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Jul 2004 19:14:27 +0200

upx-nrv (1.24-1) unstable; urgency=low

  * New upstream version.
  * Increase libc6 dependency.

 -- Robert Luberda <robert@debian.org>  Sat, 16 Nov 2002 11:00:47 +0100

upx-nrv (1.23-2) unstable; urgency=low

  * upx.1, upx.doc, upx.html: We don't include the LICENSE file in the
    package, so replace all references to this file with references to
    /usr/share/doc/upx-nrv/copyright (closes: #161647).

 -- Robert Luberda <robert@debian.org>  Sun, 29 Sep 2002 14:38:03 +0200

upx-nrv (1.23-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.5.7
  * Build with debhelper v4.

 -- Robert Luberda <robert@debian.org>  Thu, 12 Sep 2002 21:46:08 +0200

upx-nrv (1.22-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Tue,  2 Jul 2002 20:13:10 +0200

upx-nrv (1.21-1) unstable; urgency=low

  * New upstream version.
  * It seems that upx is now dynamically linked with libc6, but ldd can't
    figure it, so:
    + debian/control: added 'Depends: libc6 (>= 2.1.3)'.
    + debian/rules: added -Xusr/bin/upx-nrv to dh_shlibdeps.
    + don't install linitan override file, it's not necessary now.
  * Better handle update-alternatives in postinst and prerm scripts.
  * Update copyright file.
  * Use debhelper v4.

 -- Robert Luberda <robert@debian.org>  Mon,  3 Jun 2002 21:51:27 +0200


