=== debian/control ===
Source: upx-nrv
Section: non-free/utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), dpatch (>= 2.0.30)

Package: upx-nrv
Architecture: i386 amd64 powerpc armeb mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an efficient live-compressor for executables
 UPX is an advanced executable file compressor. UPX will typically
 reduce the file size of programs and DLLs by around 50%-70%, thus
 reducing disk space, network load times, download times etc.
 .
 NOTE: This package is linked with the binary version of the NRV
 library.
Homepage: http://upx.sourceforge.net/
