=== debian/watch ===
# control file for the uscan(1) tool
version=2
http://upx.sourceforge.net/ \
	(?:.*/)upx-([\d\.]+)-.*linux\.tar\.bz2
