## upx-nrv 3.07

=== debian/changelog ===
upx-nrv (3.07-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: add support for build-arch & build-indep targets.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Feb 2011 08:41:34 +0100

upx-nrv (3.07-1) experimental; urgency=low

  * New upstream release.
  * Build with debhelper v8.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 12 Sep 2010 17:05:04 +0200
