=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: non-free/utils
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), dpatch (>= 2.0.30)
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), dpatch (>= 2.0.30)
 
 Package: upx-nrv
 Architecture: i386 amd64 powerpc armeb mipsel
