## upx-nrv 3.08

=== debian/changelog ===
upx-nrv (3.08-1) unstable; urgency=low

  * New upstream release.
  * Drop dependency on obsolete dpatch; use quilt for managing patches:
    + rename and refresh patches;
    + update README.source file.
  * Switch to debhelper v9 and tiny rules file.
  * debian/control:
    + add XS-Autobuild field;
    + Standards-Version: 3.9.2 (no changes);
    + remove article from description (lintian).
  * Update source/lintian-overrides file.
  * Fix typo in doc-base file.

 -- Robert Luberda <robert@debian.org>  Tue, 24 Jan 2012 22:05:19 +0100
