=== debian/control ===
Source: upx-nrv
Section: non-free/utils
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), quilt (>= 0.50)
XS-Autobuild: yes

Package: upx-nrv
Architecture: amd64 armeb i386 mipsel powerpc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient live-compressor for executables
 UPX is an advanced executable file compressor. UPX will typically
 reduce the file size of programs and DLLs by around 50%-70%, thus
 reducing disk space, network load times, download times etc.
 .
 NOTE: This package is linked with the binary version of the NRV
 library.
Homepage: http://upx.sourceforge.net/
