=== debian/rules ===
#!/usr/bin/make -f

ARCH_DIR        := current-build-arch
DESTDIR         := debian/$(shell dh_listpackages)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
SERIES	        := debian/patches/series
PREP_STAMPFN    := debian/stamp-prepared

%:
	dh "$@"

include /usr/share/quilt/quilt.make

$(PREP_STAMPFN):
	test -d $(DEB_BUILD_ARCH) || { echo "Unsupported build architecture: $(DEB_BUILD_ARCH)" >&2; exit 1; }
	ln -fs $(DEB_BUILD_ARCH) $(ARCH_DIR)
	ln -fs series.in $(SERIES)
	touch "$@"

prepare $(QUILT_STAMPFN): $(PREP_STAMPFN)

override_dh_auto_configure: patch

override_dh_auto_install: patch
	install -pcm 0755  $(ARCH_DIR)/upx $(DESTDIR)/usr/bin/upx-nrv
	$(ARCH_DIR)/upx -d $(DESTDIR)/usr/bin/upx-nrv
	install -pcm 0644 $(ARCH_DIR)/upx.1 $(DESTDIR)/usr/share/man/man1/upx-nrv.1

override_dh_installchangelogs: patch
	dh_installchangelogs $(ARCH_DIR)/NEWS

override_dh_installdocs: patch
	dh_installdocs $(ARCH_DIR)/BUGS $(ARCH_DIR)/README    \
	               $(ARCH_DIR)/THANKS $(ARCH_DIR)/upx.doc \
	               $(ARCH_DIR)/upx.html

override_dh_auto_clean: unpatch unprepare

unprepare: unpatch
	rm -f $(SERIES) $(ARCH_DIR) $(PREP_STAMPFN)

.PHONY: prepare unprepare override_dh_auto_configure \
        override_dh_auto_install  override_dh_installchangelogs \
        override_dh_installdocs override_dh_auto_clean
